org.springframework.web.reactive.socket.client

## Class TomcatWebSocketClient

- java.lang.Object
- - org.springframework.web.reactive.socket.client.StandardWebSocketClient
  - - org.springframework.web.reactive.socket.client.TomcatWebSocketClient

All Implemented Interfaces:
  WebSocketClient

    public class TomcatWebSocketClient
    extends StandardWebSocketClient

`WebSocketClient` implementation for use with the Java WebSocket API.

Since:
  5.0
Author:
  Violeta Georgieva

### Constructor Summary

Constructors
Constructor and Description
`TomcatWebSocketClient()`
`TomcatWebSocketClient(WebSocketContainer webSocketContainer)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected StandardWebSocketSession` `createWebSocketSession(Session session, HandshakeInfo info, reactor.core.publisher.MonoProcessor<Void> completion)`

### Methods inherited from class org.springframework.web.reactive.socket.client.StandardWebSocketClient

`bufferFactory, execute, execute, getWebSocketContainer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TomcatWebSocketClient

    public TomcatWebSocketClient()

#### TomcatWebSocketClient

    public TomcatWebSocketClient(WebSocketContainer webSocketContainer)

### Method Detail

#### createWebSocketSession

    protected StandardWebSocketSession createWebSocketSession(Session session,
                                                              HandshakeInfo info,
                                                              reactor.core.publisher.MonoProcessor<Void> completion)

Overrides:
  `createWebSocketSession` in class `StandardWebSocketClient`